# sigc::signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, nil > Class Template Reference

Convenience wrapper for the numbered sigc::signal6 template. More...

`#include <sigc++/signal.h>`

Inheritance diagram for sigc::signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, nil >:
[legend]

List of all members.

## Classes
class | accumulated
| Convenience wrapper for the numbered sigc::signal6 template. More...
## Public Member Functions
| signal (const signal& src)

## Detailed Description

### template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
class sigc::signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, nil >

Convenience wrapper for the numbered sigc::signal6 template.

See the base class for useful methods. This is the template specialization of the unnumbered sigc::signal template for 6 argument(s).